org.apache.tinkerpop.gremlin.groovy.jsr223

## Enum GroovyCompilerGremlinPlugin.Compilation

- java.lang.Object
- - java.lang.Enum<GroovyCompilerGremlinPlugin.Compilation>
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GroovyCompilerGremlinPlugin.Compilation

- All Implemented Interfaces:
    Serializable, Comparable<GroovyCompilerGremlinPlugin.Compilation>
  Enclosing class:
    GroovyCompilerGremlinPlugin

      public static enum GroovyCompilerGremlinPlugin.Compilation
      extends Enum<GroovyCompilerGremlinPlugin.Compilation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPILE_STATIC`
    `NONE`
    `TYPE_CHECKED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroovyCompilerGremlinPlugin.Compilation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroovyCompilerGremlinPlugin.Compilation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPILE_STATIC

          public static final GroovyCompilerGremlinPlugin.Compilation COMPILE_STATIC

    - #### TYPE_CHECKED

          public static final GroovyCompilerGremlinPlugin.Compilation TYPE_CHECKED

    - #### NONE

          public static final GroovyCompilerGremlinPlugin.Compilation NONE

  - ### Method Detail

    - #### values

          public static GroovyCompilerGremlinPlugin.Compilation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroovyCompilerGremlinPlugin.Compilation c : GroovyCompilerGremlinPlugin.Compilation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroovyCompilerGremlinPlugin.Compilation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.